EDIT - feature request #6361

[MASTER] Merge all TaxonName classes into 1 class
01/21/2017 11:49 AM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: normal

Description

This gives more flexibility to change name types and reduces class casting overheads and exceptions. At the same time it requires
validation for rules that were originally implemented via class hierarchy.

Tasks might be

Move all functionality from NonViralName to TaxonNameBase #6360
Create interface for NonViralName #6369

Remove occurrence of NonViralName in code #6362

Implement validation rules for NonViralNames

Do the same for ViralNames

Do the same for Botanical, Zoological, Bacterial Names

Do the same for Cultivars

Make validation framework fully running or implement validation rules as Levell rules
¢ Unify CacheStrategies

e Adapt parser if necessary

e Make NomenclaturalCode a type attribute of TaxonName (as IEnumTerm)
¢ Adapt model to have only one class called TaxonName
Also check occurrence in applicationContext-testWithConfigurableNameCacheStrategyGenerators.xml

Subtasks:

task # 6360: Move NonViralName functionality to TaxonNameBase Closed
task # 6362: Remove occurrence of NonViralName in code Closed
feature request # 6363: Implement validation rules for all names according to their code Closed
task # 6364: Merge viral names and bacterial names into TaxonNameBase Closed
bug # 6365: Merge botanical and zoological names into TaxonNameBase Closed
task # 6366: Merge cultivar names into TaxonNameBase Closed
feature request # 6367: Make NomenclaturalCode an attribute ("type") of TaxonNameBase Closed
feature request # 6368: Merge all TaxonNameBase classes, remove DTYPE, rename table Closed
feature request # 6369: Create interfaces for TaxonName types Closed
task # 6370: Remaining issues to merge all TaxonNameBase subclasses Rejected
bug # 6409: Fix failing Level3 validation in ValidationTest introduced by removing Taxo... Closed
task # 6445: Remove occurrence of NonViralName in external applications (TaxEditor etc.) Closed
bug # 6446: Merge botanical and zoological names into TaxonNameBase in external applica... Closed
task # 6630: Unify TaxonName cache strategies Closed
task # 6671: Remove generics from TaxonName Closed
feature request # 6700: Adapt dataportal to TaxonName model changes Closed
task # 6717: Rename taxonNameBaseTitleCachelndex and taxonNameBaseNameCachelndex Closed

Related issues:

Related to EDIT - feature request #6501: Improve validation rules for name types New
Related to EDIT - feature request #6692: Make name types changeable Closed
Related to EDIT - feature request #6691: Implement all name types in NameDeta... Duplicate
Related to EDIT - feature request #6950: Alllow the usage of Viral Names New
Related to EDIT - feature request #6693: Implement missing nomenclatural code... Closed
Has duplicate EDIT - feature request #2949: Simplify TaxonName classes Duplicate
https://dev.e-taxonomy.eu/redmine/issues/6360
https://dev.e-taxonomy.eu/redmine/issues/6369
https://dev.e-taxonomy.eu/redmine/issues/6362

Associated revisions

Revision 5070758 - 05/09/2017 06:23 PM - Andreas Miiller

ref #6361 refactor update script for taxon name merge

Revision 08f2d5e5 - 12/14/2017 03:58 PM - Andreas Kohlbecker
ref #6361 removing TaxonName.DTYPE and Reference.DTYPE

e changing dbscripts/001-cdm.h2.sql
® adapting test data sets

Revision ccee2a99 - 05/12/2018 02:49 AM - Andreas Miiller
ref #6361 try to fix LSIDAuthority_namespaces for TaxonName

History

#1 - 01/21/2017 12:13 PM - Andreas Miiller

- Has duplicate feature request #2949: Simplify TaxonName classes added

#2 - 01/21/2017 12:20 PM - Andreas Miiller

- Description updated

#3 - 01/21/2017 12:26 PM - Andreas Miiller

- Description updated

#4 - 01/21/2017 12:26 PM - Andreas Miller

- Description updated

#5 - 01/26/2017 04:24 PM - Andreas Miuller

- Description updated

#6 - 01/30/2017 03:54 PM - Andreas Miiller
- Target version changed from Unassigned CDM tickets to COM UML 4.7

#7 - 03/01/2017 02:34 PM - Andreas Miller

- Status changed from New to In Progress

#8 - 06/05/2017 05:05 PM - Andreas Miller

- Related to feature request #6501: Improve validation rules for name types added

#9 - 06/05/2017 05:06 PM - Andreas Miiller
- Related to feature request #6692: Make name types changeable added

#10 - 06/05/2017 05:07 PM - Andreas Miiller

- Related to feature request #6691: Implement all name types in NameDetailElement added

#11 - 06/05/2017 05:08 PM - Andreas Miiller

- Status changed from In Progress to Resolved

#12 - 06/15/2017 04:56 PM - Andreas Miiller

- Description updated

#13 - 07/25/2017 08:35 AM - Andreas Muller

- Status changed from Resolved to Closed

#14 - 09/20/2017 06:03 PM - Andreas Miiller
- Related to feature request #6950: Alllow the usage of Viral Names added
#15 - 09/21/2017 12:25 PM - Andreas Miiller

- Related to feature request #6693: Implement missing nomenclatural codes for name detail element added
